package passport

import (
	"errors"
)

var (
	ErrPermissionDenied = errors.New("permission denied")
	ErrInvalidPassword  = errors.New("invalid password")
	ErrTooManyAttempts  = errors.New("too many attempts")
)

type LoginRequest struct {
	Username  string `json:"username"`
	Password  string `json:"password"`
	Remember  bool   `json:"remember"`
	RealIP    string `json:"real_ip"`
	UserAgent string `json:"user_agent"`
}
