const menu = [
    {
        label: "控制面板",
        icon: "dashboard",
        hidden: false,
        route: "/dashboard",
        children: [
            {
                label: "字段配置",
                hidden: true,
                access: 'allow',
                route: "/setting/schemas"
            },
            {
                label: "消息通知",
                hidden: true,
                access: 'allow',
                route: "/organize/user/notice"
            }
        ]
    },
    {
        label: "组织架构",
        icon: "org",
        hidden: false,
        route: '/organizers',
        children: [
            {
                label: "个人设置",
                hidden: true,
                access: 'allow',
                route: "/organize/user/profile"
            },
            {
                label: "角色管理",
                route: "/organize/roles",
                permissions: [
                    {
                        label: '新建',
                        value: 'create'
                    },
                    {
                        label: '更新',
                        value: 'update'
                    },
                    {
                        label: '删除',
                        value: 'delete'
                    }
                ]
            },
            {
                label: "部门管理",
                route: "/organize/departments",
                permissions: [
                    {
                        label: '新建',
                        value: 'create'
                    },
                    {
                        label: '更新',
                        value: 'update'
                    },
                    {
                        label: '删除',
                        value: 'delete'
                    }
                ]
            },
            {
                label: "用户管理",
                route: "/organize/users",
                permissions: [
                    {
                        label: '新建',
                        value: 'create'
                    },
                    {
                        label: '更新',
                        value: 'update'
                    },
                    {
                        label: '删除',
                        value: 'delete'
                    }
                ]
            },
        ]
    },
];

export default menu;